<!-- Modal -->
<div class="modal fade" id="articleModal" tabindex="-1" aria-labelledby="articleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="articleModalLabel">Write an artic</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" id='newArticle'>
				<%= form_for @post, remote: true, :html => { :id => "newArticleForm" } do |f|%>
            <%= f.hidden_field :post_type, value: 'expert_opinion' %>
            <%= f.text_field :title, placeholder: "Title", class: 'form-control mb-4' %>
            
            <%= f.label :cover_picture %>
            <%= f.file_field :document, class: 'form-control mb-4' %>
            <%= f.text_area :description, placeholder: "Description", cols: '52', rows: '4', class: 'mt-4 tinymce' %>
            
            <div id="article-poll-wrapper mt-4">
              <div id='article-poll-section'>
                <%= f.fields_for :polls do |poll|  %>
                  <%= render "shared/poll_fields", :f => poll %>
                  <%#= poll.label :duration %>
                  <%#= poll.select :duration, ['1 Day','3 Days', '1 Week', '2 Weeks'], {}, { class: "form-control normal" } %>
                <% end %>
              </div>
            </div>
            <div class="links mt-3 mb-3">
              <%= link_to_add_association "Add Question", f, :polls, partial: 'shared/poll_fields', class: 'btn btn-sm btn-primary' %> <!-- (*) -->
            </div>

            <div class='expert-opinion-upload-btn'>
              <%= render 'posts/file_upload_buttons' %>
            </div>
            <%= f.file_field :files, multiple: true, id: 'expertOpinionFileUpload', class: 'fileUpload' %>
            <%= f.file_field :clip, id: 'expertOpinionClipUpload', class: 'clipUpload' %>
            <div class="img-thumbs img-thumbs-hidden" id="expert-opinion-image-holder"></div>
            <%#= f.submit 'post', class: 'btn btn-primary btn-sm float-end' %>
          <% end %>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="submit" form="newArticleForm" class="btn btn-primary">Post</button>
      </div>
    </div>
  </div>
</div>